Package org.eclipse.birt.core.config

# Class SystemConfigVarManager

java.lang.Object
org.eclipse.birt.core.config.SystemConfigVarManager

Direct Known Subclasses:
  `FileConfigVarManager`

public class SystemConfigVarManager extends Object
Implements a default config variable manager using System support

## Constructor Summary

Constructors
Constructor
Description
`SystemConfigVarManager()`
Constructor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getConfigBoolean(String key)`
`Integer`
`getConfigInteger(String key)`
`int`
`getConfigInteger(String key, int defaultValue)`
`String`
`getConfigVar(String key)`
`String`
`getConfigVar(String key, String defaultValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SystemConfigVarManager

public SystemConfigVarManager()
Constructor

## Method Details

### getConfigVar

public String getConfigVar(String key)

Parameters:
  `key` - the configuration variable name
Returns:
  The value for the configuration variable. null if it is not set.

### getConfigVar

public String getConfigVar(String key, String defaultValue)

Parameters:
  `key` - the configuration variable name
  `defaultValue` - returns this value is the configuration variable is not set
Returns:
  The value for the configuration variable. In case the config var is not set, or there is an exception, defaultValue is returned.

### getConfigBoolean

public boolean getConfigBoolean(String key)

Parameters:
  `key` - the configuration variable name
Returns:
  true if set to true (case insensitive), false in any other cases

### getConfigInteger

public Integer getConfigInteger(String key)

Parameters:
  `key` - the configuration variable name
Returns:
  the value for the configuration variable. returns null if the config var is not set or not set to an integer or any other exception happens.

### getConfigInteger

public int getConfigInteger(String key, int defaultValue)

Parameters:
  `key` - the configuration variable name
  `defaultValue` - returns this value is the configuration variable is not set
Returns:
  the value for the configuration variable. In case the config var is not set, or not set to a number, or there is an exception, defaultValue is returned.